# Daily insights

> One point per day for an ad account, campaign, ad set, or ad.

Canonical: <https://www.tryadeli.com/docs/api/ads/get-insights>

`GET https://app.tryadeli.com/api/v1/ads/insights`

Authorization: `Bearer <API key>` — see [Authentication](https://www.tryadeli.com/docs/authentication)

One point per day for an ad account, or for a single campaign, ad set or ad when
`objectId` is given.

**Query parameters**

| Name          | Type     | Required | Description                                                 |
| ------------- | -------- | -------- | ----------------------------------------------------------- |
| `adAccountId` | `string` | Yes      | An ad account id.                                           |
| `objectId`    | `string` |          | A campaign, ad set or ad id. Defaults to the whole account. |
| `since`       | `date`   |          | YYYY-MM-DD. Defaults to 28 days ago.                        |
| `until`       | `date`   |          | YYYY-MM-DD. Defaults to today.                              |

## Request examples

**cURL**

```bash
curl --fail-with-body "https://app.tryadeli.com/api/v1/ads/insights?adAccountId=act_1234567890&objectId=120210000000000001&since=2026-10-07&until=2026-10-08&accountId=00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer $ADELI_API_KEY"
```

**JavaScript**

```javascript
const response = await fetch("https://app.tryadeli.com/api/v1/ads/insights?adAccountId=act_1234567890&objectId=120210000000000001&since=2026-10-07&until=2026-10-08&accountId=00000000-0000-0000-0000-000000000000", {
  headers: {
    Authorization: `Bearer ${process.env.ADELI_API_KEY}`,
  },
});
console.log(await response.json());
```

**Python**

```python
import os

import requests

response = requests.get(
    "https://app.tryadeli.com/api/v1/ads/insights",
    headers={"Authorization": f"Bearer {os.environ['ADELI_API_KEY']}"},
    params={
        "adAccountId": "act_1234567890",
        "objectId": "120210000000000001",
        "since": "2026-10-07",
        "until": "2026-10-08",
        "accountId": "00000000-0000-0000-0000-000000000000",
    },
)
print(response.json())
```

## Responses

### 200

```json
{
  "platform": "facebook",
  "accountId": "00000000-0000-0000-0000-000000000000",
  "profileId": "00000000-0000-4000-8000-000000000002",
  "adAccountId": "act_1234567890",
  "objectId": "120210000000000001",
  "points": [
    { "date": "2026-10-07", "spend": 24.81, "impressions": 5630, "clicks": 121, "conversions": 0 },
    { "date": "2026-10-08", "spend": 25.02, "impressions": 5874, "clicks": 133, "conversions": 0 }
  ],
  "range": { "since": "2026-10-07", "until": "2026-10-08" },
  "fetchedAt": "2026-10-09T16:00:00.000Z"
}
```

### 400

```json
{
  "error": {
    "code": "invalid_request",
    "message": "adAccountId is required"
  }
}
```
